function Plugin.RiqInit(baudRate,id)
    Sync() 
    if nil == baudRate then
         baudRate = 115200
	end
    SetToolBaudRate(baudRate)
	 
	if nil == id then
         id = 9
	end
 
     local crc2,crc1 = CRC16({id,0x10,0x03,0xE8,0x00,0x03,0x06,0x00,0x00,0x00,0x00,0x00,0x00})
     GWrite(0x01,{id,0x10,0x03,0xE8,0x00,0x03,0x06,0x00,0x00,0x00,0x00,0x00,0x00,crc1,crc2})
	 Sleep(300)
	 local crc4,crc3 = CRC16({id,0x10,0x03,0xE8,0x00,0x03,0x06,0x09,0x00,0x00,0x00,0x00,0x00})
	 GWrite(0x01,{id,0x10,0x03,0xE8,0x00,0x03,0x06,0x09,0x00,0x00,0x00,0x00,0x00,crc3,crc4})
	 Sleep(3000)
end

function Plugin.RiqOpen(delayTime,id)
	if nil == id then
         id = 9
	end

    local crc2,crc1 = CRC16({id,0x10,0x03,0xE8,0x00,0x03,0x06,0x09,0x00,0x00,0x00,0xff,0xff})
	Sync() 
    GWrite(0x01,{id,0x10,0x03,0xE8,0x00,0x03,0x06,0x09,0x00,0x00,0x00,0xff,0xff,crc1,crc2})
	
	local t = type(delayTime);
	if t == "number" then
		Sleep(delayTime)
	end
end

function Plugin.RiqClose(delayTime,id)
	if nil == id then
         id = 9
	end

    local crc2,crc1 = CRC16({id,0x10,0x03,0xE8,0x00,0x03,0x06,0x09,0x00,0x00,0xff,0xff,0xff})
	Sync() 
    GWrite(0x01,{id,0x10,0x03,0xE8,0x00,0x03,0x06,0x09,0x00,0x00,0xff,0xff,0xff,crc1,crc2})
	
	local t = type(delayTime);
	if t == "number" then
		Sleep(delayTime)
	end
end

function Plugin.RiqSet(position,speed,force,delayTime,id)
	if nil == id then
         id = 9
	end
	
    local crc2,crc1 = CRC16({id,0x10,0x03,0xE8,0x00,0x03,0x06,0x09,0x00,0x00,position,speed,force})
	Sync() 
    GWrite(0x01,{id,0x10,0x03,0xE8,0x00,0x03,0x06,0x09,0x00,0x00,position,speed,force,crc1,crc2})
	
	local t = type(delayTime);
	if t == "number" then
		Sleep(delayTime)
	end
end


